PhoneGap Build error with push notification plugin

PhoneGap Build error with push notification plugin


How can I implement push notification?
It does not work for me anymore. The APK generated it with the phonegap build. But does not generate the ID? Previously if it worked with the build of INTEL XDK, but now it no longer works :(

2 posts / 0 new

This is because most push plugins include a Gradle script that automatically generates the ID you need. A special script was added to the XDK build system to make most push plugins work with the XDK build system, because the XDK build system did not allow the use of plugin-provided Gradle scripts -- they are a significant security risk. The same is true of PhoneGap Build, it also does not allow for the use of plugin Gradle scripts.

See the note about version 2.x of the PhoneGap Push Plugin in this PhoneGap blog > https://blog.phonegap.com/phonegap-7-0-1-now-on-build-and-it-includes-so... <

For specific instructions on using this plugin, see the following links:

According to the blog, version 2.x of that plugin ONLY works with version 7.x of the PhoneGap Build system. Thus, if you want to use this plugin with CLI 6.x you should add version 1.9.4 to your application, because the XDK only allows you to specify version 6.2.0 or 6.5.0 as the PhoneGap Build version to be used. You can use later versions of PhoneGap Build (e.g. 7.x and above), but you'll have to unzip the exported package, change the version of CLI specified in the exported config.xml file, and then ZIP it all together before submitting your ZIP file to PhoneGap Build.

Leave a Comment

Please sign in to add a comment. Not a member? Join today